lwIP 2.1.2 Lightweight IP stack

Data Fields
bridgeif_initdata_s Struct Reference
NETIFs » IEEE 802.1D bridge

`#include <bridgeif.h>`

## Data Fields
struct eth_addr | ethaddr
u8_t | max_ports
u16_t | max_fdb_dynamic_entries
u16_t | max_fdb_static_entries

## Detailed Description

Initialisation data for bridgeif_init. An instance of this type must be passed as parameter 'state' to netif_add when the bridge is added.

## Field Documentation

## ◆ ethaddr

struct eth_addr bridgeif_initdata_s::ethaddr

MAC address of the bridge (cannot use the netif's addresses)

## ◆ max_fdb_dynamic_entries

u16_t bridgeif_initdata_s::max_fdb_dynamic_entries

Maximum number of dynamic/learning entries in the bridge's forwarding database. In the default implementation, this controls memory consumption only.

## ◆ max_fdb_static_entries

u16_t bridgeif_initdata_s::max_fdb_static_entries

Maximum number of static forwarding entries. Influences memory consumption!

## ◆ max_ports

u8_t bridgeif_initdata_s::max_ports

Maximum number of ports in the bridge (ports are stored in an array, this influences memory allocated for netif->state of the bridge netif).

The documentation for this struct was generated from the following file:

- src/include/netif/bridgeif.h